View Issue Details

IDCategoryLast Update
0008683bugs2021-05-02 14:44
ReporterccaudleAssigned To 
Reproducibilityalways 
Status closedResolutionfixed 
PlatformGNUOSLinuxOS Version(any)
Product Version6.6 
Fixed in Version 
Summary0008683: compilation failure with gcc 11.1
DescriptionFails to build git head with development tools included with Fedora 34:
gcc-11.1.1-1.fc34.x86_64
gcc-c++-11.1.1-1.fc34.x86_64
libgcc-11.1.1-1.fc34.x86_64
libstdc++-11.1.1-1.fc34.x86_64
boost-1.75.0-4.fc34.x86_64
Steps To ReproduceConfigured using command:
./waf configure --libjack=weak --with-backends=jack,alsa,pulseaudio,dummy --optimize

Ran ./waf and build failed.
Error message (see attachments for full messages) seems to indicate problem with lua I think:

In file included from ../libs/lua/LuaBridge/LuaBridge.h:153,
                 from ../libs/ardour/luabindings.cc:101:
../libs/lua/LuaBridge/detail/Namespace.h: In instantiation of ‘luabridge::Namespace::Class<T>& luabridge::Namespace::Class<T>::addFunction(const char*, MemFn) [with MemFn = bool (std::map<int, std::vector<_VampHost::Vamp::Plugin::Feature> >::*)() const noexcept; T = std::map<int, std::vector<_VampHost::Vamp::Plugin::Feature> >]’:
../libs/lua/LuaBridge/detail/Namespace.h:1842:20: required from ‘luabridge::Namespace::Class<std::map<K, V> > luabridge::Namespace::beginStdMap(const char*) [with K = int; V = std::vector<_VampHost::Vamp::Plugin::Feature>]’
../libs/ardour/luabindings.cc:748:49: required from here
../libs/lua/LuaBridge/detail/Namespace.h:935:95: error: ‘isConstMemberFunction’ is not a member of ‘luabridge::FuncTraits<bool (std::map<int, std::vector<_VampHost::Vamp::Plugin::Feature> >::*)() const noexcept, bool (std::map<int, std::vector<_VampHost::Vamp::Plugin::Feature> >::*)() const noexcept>’
  935 | CFunc::CallMemberFunctionHelper <MemFn, FuncTraits <MemFn>::isConstMemberFunction>::add (L, name, mf);
      | ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~
../libs/lua/LuaBridge/detail/Namespace.h: In instantiation of ‘luabridge::Namespace::Class<T>& luabridge::Namespace::Class<T>::addFunction(const char*, MemFn) [with MemFn = long unsigned int (std::map<int, std::vector<_VampHost::Vamp::Plugin::Feature> >::*)() const noexcept; T = std::map<int, std::vector<_VampHost::Vamp::Plugin::Feature> >]’:
../libs/lua/LuaBridge/detail/Namespace.h:1843:20: required from ‘luabridge::Namespace::Class<std::map<K, V> > luabridge::Namespace::beginStdMap(const char*) [with K = int; V = std::vector<_VampHost::Vamp::Plugin::Feature>]’
../libs/ardour/luabindings.cc:748:49: required from here
../libs/lua/LuaBridge/detail/Namespace.h:935:95: error: ‘isConstMemberFunction’ is not a member of ‘luabridge::FuncTraits<long unsigned int (std::map<int, std::vector<_VampHost::Vamp::Plugin::Feature> >::*)() const noexcept, long unsigned int (std::map<int, std::vector<_VampHost::Vamp::Plugin::Feature> >::*)() const noexcept>’
../libs/lua/LuaBridge/detail/Namespace.h: In instantiation of ‘luabridge::Namespace::Class<T>& luabridge::Namespace::Class<T>::addFunction(const char*, MemFn) [with MemFn = bool (std::__cxx11::list<boost::shared_ptr<ARDOUR::Route> >::*)() const noexcept; T = std::__cxx11::list<boost::shared_ptr<ARDOUR::Route> >]’:
../libs/lua/LuaBridge/detail/Namespace.h:1888:20: required from ‘luabridge::Namespace::Class<std::__cxx11::list > luabridge::Namespace::beginConstStdList(const char*) [with T = boost::shared_ptr<ARDOUR::Route>]’
../libs/ardour/luabindings.cc:1743:50: required from here
TagsNo tags attached.

Activities

ccaudle

2021-04-30 21:54

reporter  

gcc_11_build_output.txt (507,700 bytes)
gcc_11_stderr.txt (270,944 bytes)

x42

2021-05-01 16:38

administrator   ~0025785

Does `./waf configure --cxx11`` help ?

ccaudle

2021-05-02 01:59

reporter   ~0025786

Yes, adding --cxx11 allows compilation to complete.

ccaudle

2021-05-02 02:03

reporter   ~0025787

Latest gcc requires using --cxx11 flag.

x42

2021-05-02 14:44

administrator   ~0025788

OK. Thanks for the confirmation, knowing that it is a C++11/17 issue helped track it down.
believed to be fixed in 6.6-379

I don't have a system that runs gcc-11 yet, so I cannot test it.

Issue History

Date Modified Username Field Change
2021-04-30 21:54 ccaudle New Issue
2021-04-30 21:54 ccaudle File Added: gcc_11_build_output.txt
2021-04-30 21:54 ccaudle File Added: gcc_11_stderr.txt
2021-05-01 16:38 x42 Note Added: 0025785
2021-05-02 01:59 ccaudle Note Added: 0025786
2021-05-02 02:03 ccaudle Status new => closed
2021-05-02 02:03 ccaudle Resolution open => fixed
2021-05-02 02:03 ccaudle Note Added: 0025787
2021-05-02 14:44 x42 Note Added: 0025788